package com.danmassey.rugbe.board;

/**
 * 
 * 
 * @author dan
 * Created on Aug 30, 2002
 **/
public class Pkg {
	private int id;
	private int destX;
	private int destY;
	private int weight;
	private int distance;
	private Pkg next;
	
	public Pkg(int id, int destX, int destY, int weight) {
		this.id = id;
		this.destX = destX;
		this.destY = destY;
		this.weight = weight;
	}
	
	public int getId() {
		return this.id;
	}
	
	public int getDestX() {
		return this.destX;
	}
	
	public int getDestY() {
		return this.destY;
	}
	
	public int getWeight() {
		return this.weight;
	}
	
	public void setNextPkg(Pkg next) {
		this.next = next;
	}
	
	public Pkg getNextPkg() {
		return this.next;
	}
	
	public void setDistance(int distance) {
		this.distance = distance;
	}
	
	public int getDistance() {
		return this.distance;
	}
	
	public String toString() {
		StringBuffer buffy = new StringBuffer();
		buffy.append("pkg: ");
		buffy.append(this.id);
		buffy.append("  ");
		buffy.append("dest:  ");
		buffy.append(this.destX);
		buffy.append(" ");
		buffy.append(this.destY);
		buffy.append("  ");
		buffy.append("wt: ");
		buffy.append(this.weight);
		return buffy.toString();		
	}
}
